Subject: Re: [PATCH net v2 4/4] net: tls: remove bad rollback and UAF on ENOSPC

From: Jakub Kicinski <[email-masked]>
Date: Thu, 14 May 2026 07:55:04 -0700

On Thu, 14 May 2026 14:55:03 +0200 Sabrina Dubroca wrote:
> > The sashiko report here looks like a pre-existing issue that could be
> > handled separately.

Or not, cause frankly TLS+sockmap feels a bit hopeless at this
stage.

> > Still let me play safe and merge just the 2 first patch in the series.  
> 
> Kind of. We had agreed that #2 could be fixed in a somewhat better
> way.
> 
> @Jakub removal of the content_type chaining can be done in net-next as
> a clean up now I guess

Oh, TBH I also thought you are okay with the patch as posted.
I'll follow up in net-next shortly (once Linus pulls).